<%- include ("../layouts/header") %>

	<div class="container saveHistory">
		<div class="row">
			<div class="col-lg-8">
				<h1 class="mt-4">
					<%= video.title %>
				</h1>

				<div class="lead">
					<a href="/api/v1/video/channel/<%= video.user._id %>">
						<%= video.user.name %>
					</a>
				</div>

				<hr>

				<p>
					Posted on
					<% 
						let createdAt = new Date(video.createdAt);
						let date = createdAt.getDate() + "";
					 %>

					 <%= date.padStart(2, "0") + " " + months[createdAt.getMonth()] + ", " + createdAt.getFullYear() %>
				</p>

				<hr>

				<input type="hidden" name="videoId" value="<%= video._id %>" id="videoId">
				<input type="hidden" name="watchId" value="<%= video.watch %>" id="watchId">

				<video id="videoPlayer" controls style="width: 100%; height: 30%" poster="<%= baseUrl + video.thumbnail %>" src="<%= baseUrl + video.video %>"></video>

				<div class="row">
					<div class="col-md-4">
						<p>
							<i class="fa fa-eye"></i>
							<%= video.views %> views
						</p>
					</div>
				</div>

				<div class="col-md-4 px-0">
					<%- include ("likes-dislikes") %>
				</div>

				<div class="col-md-4 px-0">
					<%- include ("subscribes") %>
				</div>
				<hr>

				<p class="text-center" id="category">
					<b>Category: </b>
					<a href="/api/v1/video/category_search/<%= video.category %>">
						<%= video.category %>
					</a>
				</p>

				<hr>

				<p class="lead">
					<%= video.description %>
				</p>

				<%- include ("comments") %>

			</div>

			<%- include ("sidebar") %>
			
		</div>
	</div>

<%- include ("../layouts/footer") %>

<% if (isLogin !== "undefined" && isLogin) { %>
<script type="text/javascript">
//Save my history
window.onbeforeunload = function () {
	const videoPlayer = document.getElementById("videoPlayer");
	const videoId = document.getElementById("videoId").value;
	let watched = Math.floor(videoPlayer.currentTime);
	console.log(watched);
	if(watched > 0) {
		try {
			axios.post(`/api/v1/video/save-history`, {
				videoId: videoId,
				watchedTime: watched
			}).then((response) => {
				if(response.request.readyState == 4 && response.data.status == "success") {
					console.log(response.request.responseText);
				}else{
					alert(response.data.message);
				}
			});
		}catch (error) {
			console.log(error);
		}
	}
}
</script>

<% } %>